# Module utilities/date

#####
Index

### References

DateFormat
DateFormatter
DateFormatterProperties
DateSettings
DEFAULT_PARSING_FORMATS
ERR_TIME_ZONE_INVALID
esriFormatToGeocortexFormat
format
FormatOptions
INVALID_DATE
isValid
isValidTimeZone
parse
ParseOptions
parseUtc
settings

### Functions

getMonthName
getWeekdayName

##
References

### DateFormat

Re-exports DateFormat

### DateFormatter

Re-exports DateFormatter

### DateFormatterProperties

Re-exports DateFormatterProperties

### DateSettings

Re-exports DateSettings

### DEFAULT_PARSING_FORMATS

Re-exports DEFAULT_PARSING_FORMATS

### ERR_TIME_ZONE_INVALID

Re-exports ERR_TIME_ZONE_INVALID

### esriFormatToGeocortexFormat

Re-exports esriFormatToGeocortexFormat

### format

Re-exports format

### FormatOptions

Re-exports FormatOptions

### INVALID_DATE

Re-exports INVALID_DATE

### isValid

Re-exports isValid

### isValidTimeZone

Re-exports isValidTimeZone

### parse

Re-exports parse

### ParseOptions

Re-exports ParseOptions

### parseUtc

Re-exports parseUtc

### settings

Re-exports settings